/* Copyright (c) 1992 by NightShade Software
 *
 * NAME
 *     MyNXBrowserCell:NXBrowserCell
 *
 * DESCRIPTION
 *     ----
 *
 * COMMENTS/PROBLEMS
 *     ----
 *
 * AUTHOR/DATE CREATED
 *     Gary Ritchie/November 24, 1992
 *
 * REVISIONS
 *
 */
 
#import <appkit/appkit.h>

@interface MyNXBrowserCell:NXBrowserCell
{
    int tag;
    NXAtom owner;		// The name of the application
    int depth;			// The WindowDepthLimit
    BOOL test;			// YES if using Test prefix
    BOOL nextstep;		// YES if NEXTSTEP default
    BOOL openstep;		// YES if OPENSTEP default (can be both).
    id depthImage;		// Image displayed for depth
        
    NXCoord ascender, descender, lineHeight;
}

- initTextCell:(const char *)aString;
- setTag:(int)aTag;
- (int)tag;
- setOwner:(NXAtom)theOwner;
- (NXAtom)owner;
- setDepth:(int)theDepth;
- (int)depth;
- setTestMode:(BOOL)flag;
- (BOOL)testMode;
- setNextstep:(BOOL)flag;
- (BOOL)nextstep;
- setOpenstep:(BOOL)flag;
- (BOOL)openstep;

- setFont:fontObj;
- drawInside:(const NXRect *)cellFrame inView:controlView;

@end
